[Overview][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'process' (#fcl)

# TProcess.ApplicationName

Name of the application to start (deprecated)

## Declaration

Source position: process.pp line 138

`published property TProcess.ApplicationName: String read FApplicationName write SetApplicationName;`

## Description

ApplicationName is an alias for TProcess.CommandLine. It's mostly foruse in the Windows CreateProcess call. If CommandLine is not set, then ApplicationName will be used instead.

ApplicationName is deprecated. New code should use Executable instead, and leave ApplicationName empty.

## See also

TProcess.CommandLine |  | Command-line to execute (deprecated)
TProcess.Executable |  | Executable name. Supersedes CommandLine and ApplicationName.
TProcess.Parameters |  | Command-line argumens. Supersedes CommandLine.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.